Delete project

Prev Next
Delete
/Customerprojectservice/api/projects/{id}

Delete the Project for the specified projectId.

Header parameters
X-Idempotency-Key
stringRequired

Idempotency key for safely retrying requests without duplicating operations.

Path parameters
id
objectRequired

Customer Project ID

Responses
204

Project deleted successfully

401

HTTP Unauthorized

object
timestamp
string (date-time)
status
integer (int32)
error
string
path
string
404

HTTP Not Found

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerprojectservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200
409

HTTP Conflict

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerprojectservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200
500

HTTP Internal Server Error

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerprojectservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200